#define F_CPU 16000000L
#include <avr/io.h>
#include <U8g2lib.h>

// 그래픽 LCD 객체 생성
// (rotation, DB0, DB1, DB2, DB3, DB4, DB5, DB6, DB7,
// Enable, D/I, CS1, CS2, RW [, reset])
U8G2_KS0108_128X64_F u8g2(U8G2_R0, 22, 23, 24, 25, 26, 27, 28, 29,
                          37, 36, 33, 34, 35);

int main(void) {
  init();             // 아두이노 환경 초기화
  u8g2.begin();       // 그래픽 LCD 초기화

  u8g2.clearBuffer();     // 내부 메모리 지우기

  u8g2.drawLine(0, 0, 127, 63);   // 직선 그리기
  u8g2.drawLine(127, 0, 0, 63);

  for (int r = 5; r <= 30; r += 5) {  // 원 그리기
    u8g2.drawCircle(64, 32, r);   // (x, y, radius)
  }

  u8g2.sendBuffer();      // 화면에 내부 메모리 내용 복사

  while (1) {
  }

  return 0;
}
