#ifndef _I2C_RTC_
#define _I2C_RTC_

#include <avr/io.h>

#define I2C_SCL			PD0
#define I2C_SDA			PD1

void I2C_init(void);			// I2C 초기화
void I2C_start(void);			// I2C 시작
void I2C_transmit(uint8_t data);		// 1바이트 전송
uint8_t I2C_receive_NACK(void);		// 1바이트 수신 & NACK
uint8_t I2C_receive_ACK(void);		// 1바이트 수신 & ACK
void I2C_stop(void);			// I2C 정지

uint8_t bcd_to_decimal(uint8_t bcd); 
uint8_t decimal_to_bcd(uint8_t decimal); 

#endif