#include "UART0.h"

void UART0_init(void){
	UBRR0H = 0x00;      // 9600 보율로 설정
	UBRR0L = 207;

	UCSR0A |= _BV(U2X0);      // 2배속 모드
	// 비동기, 8비트 데이터, 패리티 없음, 1비트 정지 비트 모드
	UCSR0C |= 0x06;

	UCSR0B |= _BV(RXEN0);   // 송수신 가능
	UCSR0B |= _BV(TXEN0);
}

uint8_t UART0_read(){
	while( !(UCSR0A & (1<<RXC0)) ); // 데이터 수신 대기
	return UDR0;
}

void UART0_write(uint8_t data){
	while( !(UCSR0A & (1 << UDRE0)) );  // 송신 가능 대기
	UDR0 = data;        // 데이터 전송
}

void UART0_print(const char *str){
	while(*str)
		UART0_write(*str++);
}

void UART0_print(char *str){
	while(*str)
		UART0_write(*str++);
}

void UART0_print(int no, int radix = 10){
	char buffer[sizeof(int) * 8 + 1];
	itoa(no, buffer, radix);
	UART0_print(buffer);
}

void UART0_print(long no, int radix = 10){
	char buffer[sizeof(long) * 8 + 1];
	ltoa(no, buffer, radix);
	UART0_print(buffer);
}

void UART0_print(unsigned long no, int radix = 10){
	char buffer[sizeof(long) * 8 + 1];
	ultoa(no, buffer, radix);
	UART0_print(buffer);
}

void UART0_print(float no, int precision = 3){
	// ftoa()
}