#include "UART1.h"

void UART1_init(void){
	UBRR1H = 0x00;      // 9600 보율로 설정
	UBRR1L = 207;

	UCSR1A |= _BV(U2X1);      // 2배속 모드
	// 비동기, 8비트 데이터, 패리티 없음, 1비트 정지 비트 모드
	UCSR1C |= 0x06;

	UCSR1B |= _BV(RXEN1);   // 송수신 가능
	UCSR1B |= _BV(TXEN1);
}

uint8_t UART1_read(){
	while( !(UCSR1A & (1<<RXC1)) ); // 데이터 수신 대기
	return UDR1;
}

void UART1_write(uint8_t data){
	while( !(UCSR1A & (1 << UDRE1)) );  // 송신 가능 대기
	UDR1 = data;        // 데이터 전송
}

void UART1_print(const char *str){
	while(*str)
		UART1_write(*str++);
}

void UART1_print(char *str){
	while(*str)
		UART1_write(*str++);
}

void UART1_print(int no, int radix = 10){
	char buffer[sizeof(int) * 8 + 1];
	itoa(no, buffer, radix);
	UART1_print(buffer);
}

void UART1_print(long no, int radix = 10){
	char buffer[sizeof(long) * 8 + 1];
	ltoa(no, buffer, radix);
	UART1_print(buffer);
}

void UART1_print(unsigned long no, int radix = 10){
	char buffer[sizeof(long) * 8 + 1];
	ultoa(no, buffer, radix);
	UART1_print(buffer);
}
